Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #326 (closed defect: fixed)

Opened 14 years ago

Last modified 14 years ago

respect user setting of txantenna also for multicast/broadcasts

Reported by: Mark Glines <mark@glines.org> Assigned to: mrenzmann
Priority: major Milestone:
Component: madwifi: driver Version: trunk
Keywords: txantenna Cc:
Patch is attached: 1 Pending:

Description

This relates to r1278 and r1027. The txantenna setting allows the user to specify a single antenna to use for all transmissions. Currently, it isn't being respected for multicast packets. Instead, some simple code in ath_tx_start just toggles between the antenna ports for each multicast packet.

This patch makes multicast packets respect the txantenna setting, when set. The toggle-behavior is preserved, when txantenna = 0 (diversity).

While I was at it, I added some input checking for /proc/sys/dev/wifi0/txantenna, so it won't accept values other than 0, 1, or 2.

Attachments

multicast_antenna_select.diff (1.5 kB) - added by Mark Glines <mark@glines.org> on 01/20/06 02:15:47.
patch

Change History

01/20/06 02:15:47 changed by Mark Glines <mark@glines.org>

  • attachment multicast_antenna_select.diff added.

patch

01/22/06 10:11:32 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.

Patch looks good. Looking at the code that has been modified, a few lines below there is a validation done for setting rxantenna. From a first glance it seems that this would accept negative values for rxantenna, which isn't right - should be changed to the same type of validation that is done for txantenna in the patch.

In addition, some more attention on checking the range of input values should be spent to that area of the source, I think

02/01/06 06:42:39 changed by kelmo

  • patch_attached set to 1.

02/01/06 06:50:58 changed by mrenzmann

  • version set to trunk.

02/03/06 07:42:51 changed by mrenzmann

  • status changed from assigned to closed.
  • resolution set to fixed.

Committed with suggested modifications in r1430. Thanks.